Get Custom Datacenters

Get Custom Datacenters
Get custom datacenters

Get custom datacenters

Request
URI
GET
https://{api_host}/suite-api/api/resources/customdatacenters
COPY
Query Parameters
integer
page
Optional
Constraints: default: 0

Page number from which data needs to be displayed (0-based)

integer
pageSize
Optional
Constraints: default: 1000

Expected number of entries per page


Authentication
This operation uses the following authentication methods.
Responses
200

Custom datacenters

Returns custom-datacenters of type(s) application/json
"{\n  \"pageInfo\" : {\n    \"totalCount\" : 3000,\n    \"page\" : 0,\n    \"pageSize\" : 1000\n  },\n  \"customDatacenters\" : [ {\n    \"id\" : \"496228bb-28e9-4be1-9be1-54978fe71636\",\n    \"name\" : \"custom datacenter 1\",\n    \"description\" : \"custom datacenter 1 description\",\n    \"childResourceIds\" : [ \"a08e44bb-75cf-426c-b271-34937444889f\", \"f3ea1105-fda5-4c54-8b26-0fba196123c7\" ]\n  }, {\n    \"id\" : \"657e68ea-9551-4bce-9895-27a3f03849cb\",\n    \"name\" : \"custom datacenter 2\",\n    \"description\" : \"custom datacenter 2 description\",\n    \"childResourceIds\" : [ \"ddc8f222-08e0-4dc6-9ff7-fd758f5ac6e9\", \"177ba97c-a0d8-41c4-b38d-82c36d6e793e\" ]\n  } ]\n}"
array of object
customDatacenters
Optional

Custom datacenters

array of object
links
Optional

Collection of links

object
pageInfo
Optional

Represents page information for a paged result


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/resources/customdatacenters